Bug 199288

Summary: Enable Intl.PluralRules and Intl.NumberFormatToParts by default
Product: WebKit Reporter: Keith Miller <keith_miller>
Component: New BugsAssignee: Keith Miller <keith_miller>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ews-watchlist, jordanbrennan, mark.lam, msaboff, sbarati, tzagallo, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Keith Miller 2019-06-27 14:33:31 PDT
Enable Intl.PluralRules and Intl.NumberFormatToParts by default
Comment 1 Keith Miller 2019-06-27 15:04:11 PDT
Created attachment 373055 [details]
Patch
Comment 2 Yusuke Suzuki 2019-06-27 15:09:15 PDT
Comment on attachment 373055 [details]
Patch

r=me, nice!
Comment 3 WebKit Commit Bot 2019-07-08 19:19:02 PDT
Comment on attachment 373055 [details]
Patch

Clearing flags on attachment: 373055

Committed r247247: <https://trac.webkit.org/changeset/247247>
Comment 4 WebKit Commit Bot 2019-07-08 19:19:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-07-08 19:20:19 PDT
<rdar://problem/52810665>
Comment 6 Jordan 2019-11-08 14:02:52 PST
Anyone know if Apple has shipped a new version of Safari with this? 

I am running Safari 12.1.2 (12607.3.10) on macOS Sierra 10.12.6 (16G1918) and Safari does not have Intl.PluralRules.

MDN says the answer is no (https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/PluralRules#Browser_compatibility), but I was hoping someone here knew more.
Comment 7 Keith Miller 2019-11-08 19:15:20 PST
I believe this shipped with Safari 13 (™: no promises).